package com.zcloud.service.system;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：图片管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
public interface ImgFilesService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteList(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public List<PageData> listAllByIds(PageData pd)throws Exception;

	/**
	 * 删除安全环保检查发现问题中的附件信息
	 * 隐患图片（3）和隐患视频（102）
	 * @param ArrayDATA_IDS
	 */
	void deleteInspectionHiddenFile(PageData pd)throws Exception;

	/**
	 * 根据附件路径删除
	 * @param pd
	 */
	void deleteByPath(PageData pd)throws Exception;

	/**
	 * 根据标识 和 类型获取 附件信息
	 * @param key
	 * @param type
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getListByKeyAndType (Object key ,String type) throws Exception;

}

